Index: phonelux_scrappers/classes/phone.py
===================================================================
--- phonelux_scrappers/classes/phone.py	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
+++ phonelux_scrappers/classes/phone.py	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
@@ -0,0 +1,9 @@
+class Phone:
+
+    def __init__(self, id, brand, model, image_url, total_offers, lowest_price):
+        self.id = id
+        self.brand = brand
+        self.model = model
+        self.image_url = image_url
+        self.total_offers = total_offers
+        self.lowest_price = lowest_price
Index: phonelux_scrappers/classes/phoneoffer.py
===================================================================
--- phonelux_scrappers/classes/phoneoffer.py	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
+++ phonelux_scrappers/classes/phoneoffer.py	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
@@ -0,0 +1,50 @@
+import json
+
+
+class PhoneOffer:
+
+    def __init__(self, *args):
+        if len(args) == 19:
+            self.offer_id = args[0]
+            self.offer_shop = args[1]
+            self.offer_name = args[2]
+            self.price = args[3]
+            self.ram_memory = args[4]
+            self.rom_memory = args[5]
+            self.color = args[6]
+            self.front_camera = args[7]
+            self.back_camera = args[8]
+            self.chipset = args[9]
+            self.battery = args[10]
+            self.operating_system = args[11]
+            self.cpu = args[12]
+            self.image_url = args[13]
+            self.offer_url = args[14]
+            self.last_updated = args[15]
+            self.is_validated = args[16]
+            self.offer_description = args[17]
+            self.offer_shop_code = args[18]
+
+        if len(args) == 18:
+            self.offer_shop = args[0]
+            self.offer_name = args[1]
+            self.price = args[2]
+            self.ram_memory = args[3]
+            self.rom_memory = args[4]
+            self.color = args[5]
+            self.front_camera = args[6]
+            self.back_camera = args[7]
+            self.chipset = args[8]
+            self.battery = args[9]
+            self.operating_system = args[10]
+            self.cpu = args[11]
+            self.image_url = args[12]
+            self.offer_url = args[13]
+            self.last_updated = args[14]
+            self.is_validated = args[15]
+            self.offer_description = args[16]
+            self.offer_shop_code = args[17]
+
+    def __str__(self):
+        return str(self.__dict__)
+
Index: phonelux_scrappers/lowest_price_setter.py
===================================================================
--- phonelux_scrappers/lowest_price_setter.py	(revision e5b84dc652434cab61718f38889fc36867569866)
+++ phonelux_scrappers/lowest_price_setter.py	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
@@ -1,6 +1,6 @@
-
+import json
 import psycopg2
+import requests
 import config_read
-
 import sys
 
@@ -8,30 +8,17 @@
 sys.stdout = open(file_path, "w")
 
-# Call to read the configuration file and connect to database
-cinfo = config_read.get_databaseconfig("postgresdb.config")
-db_connection = psycopg2.connect(
-    database=cinfo[0],
-    host=cinfo[1],
-    user=cinfo[2],
-    password=cinfo[3]
-)
-cur = db_connection.cursor()
-
-cur.execute('SELECT id,model FROM phones ORDER BY id;')
-
-phones = cur.fetchall()
+phones = json.loads(requests.get('http://localhost:8080/phones').text)
 
 for phone in phones:
-    phone_id = str(phone[0])
-    print('id: '+phone_id)
-    cur.execute('SELECT offer_name,price FROM phone_offers WHERE phone_id=' + phone_id + ' ORDER BY price;')
-    details = cur.fetchone()
-    lowestPrice = None
+    phone_id = str(phone['id'])
+    print(phone['model'])
 
-    if details is not None:
-        lowestPrice = details[1]
-        cur.execute('UPDATE phones SET lowest_price='+str(lowestPrice)+' WHERE id='+phone_id+';')
-        db_connection.commit()
+    offers = list(json.loads(requests.get('http://localhost:8080/phones/offers/' + phone_id).text))
+    offers.sort(key=lambda o: o['price'])
+    lowest_price = str(0)
+    if len(offers) > 0:
+        lowest_price = str(offers[0]['price'])
+    print(lowest_price)
 
-cur.close()
-db_connection.close()
+    # UPDATE DATABASE WITH NEW LOWEST PRICE
+    requests.put('http://localhost:8080/setlowestprice/' + phone_id + '/' + lowest_price)
Index: phonelux_scrappers/phone_total_offers.py
===================================================================
--- phonelux_scrappers/phone_total_offers.py	(revision e5b84dc652434cab61718f38889fc36867569866)
+++ phonelux_scrappers/phone_total_offers.py	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
@@ -1,4 +1,6 @@
+import json
 
 import psycopg2
+import requests
 import config_read
 import sys
@@ -7,27 +9,14 @@
 sys.stdout = open(file_path, "w")
 
-# Call to read the configuration file and connect to database
-cinfo = config_read.get_databaseconfig("postgresdb.config")
-db_connection = psycopg2.connect(
-    database=cinfo[0],
-    host=cinfo[1],
-    user=cinfo[2],
-    password=cinfo[3]
-)
 
-cur = db_connection.cursor()
-
-cur.execute('SELECT id, model FROM phones;')
-phones = cur.fetchall()
+phones = json.loads(requests.get('http://localhost:8080/phones').text)
 
 for phone in phones:
-    cur.execute('SELECT COUNT(*) FROM phone_offers WHERE phone_id='+str(phone[0])+';')
 
-    total_offers = cur.fetchone()[0]
+    phone_id = str(phone['id'])
+    totaloffers = requests.get('http://localhost:8080/totaloffers/'+str.join('*', phone['model'].split(' '))).text
 
-    cur.execute('UPDATE phones SET total_offers='+str(total_offers)+' WHERE id='+str(phone[0])+';')
-    db_connection.commit()
+    print(phone_id+'  -  '+totaloffers)
 
-
-cur.close()
-db_connection.close()
+    # UPDATE DATABASE WITH NEW TOTAL OFFERS
+    requests.put('http://localhost:8080/settotaloffers/' + phone_id + '/' + totaloffers)
Index: phonelux_scrappers/phones_image_setter.py
===================================================================
--- phonelux_scrappers/phones_image_setter.py	(revision e5b84dc652434cab61718f38889fc36867569866)
+++ phonelux_scrappers/phones_image_setter.py	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
@@ -1,45 +1,26 @@
-import unicodedata
-from datetime import datetime
+import json
+import requests
+import classes.phone
+import sys
 
-import psycopg2
-import config_read
-from bs4 import BeautifulSoup
-import requests
-
-import sys
 
 file_path = 'outputfile.txt'
 sys.stdout = open(file_path, "w")
 
-# Call to read the configuration file and connect to database
-cinfo = config_read.get_databaseconfig("postgresdb.config")
-db_connection = psycopg2.connect(
-    database=cinfo[0],
-    host=cinfo[1],
-    user=cinfo[2],
-    password=cinfo[3]
-)
-cur = db_connection.cursor()
+phones = json.loads(requests.get('http://localhost:8080/phones').text)
+for phone in phones:
+    phone_id = str(phone['id'])
+    offers = list(json.loads(requests.get('http://localhost:8080/phones/offers/' + phone_id).text))
 
-cur.execute('SELECT * FROM PHONES ORDER BY id')
+    offers = list(filter(lambda offer: offer['image_url'] is not None, offers))
 
-db_connection.commit()
-phones = cur.fetchall()
+    image_url = None
 
-for phone in phones:
-    print(phone)
-    phone_id = phone[0]
-    cur.execute('SELECT phone_offers.image_url FROM phone_offers JOIN phones ON'
-                ' phone_offers.phone_id = phones.id WHERE '
-                'phones.id='+str(phone_id)+' AND phone_offers.image_url IS NOT NULL LIMIT 1')
-    tuple_image = cur.fetchone()
-    if tuple_image is not None:
-        print(tuple_image[0])
-        cur.execute('UPDATE phones SET image_url = \''+tuple_image[0]+'\' WHERE id='+str(phone_id));
-        db_connection.commit()
-    else:
-        print('None');
+    if len(offers) > 0:
+        image_url = offers[0]['image_url']
 
+    phone['image_url'] = image_url
 
-cur.close()
-db_connection.close()
+    # UPDATE DATABASE WITH NEW IMAGE URLS FOR PHONES
+    headers = {'Content-type': 'application/json'}
+    requests.put('http://localhost:8080/setimageurl/' + phone_id, headers=headers, data=phone['image_url'])
Index: phonelux_scrappers/phones_model_setter.py
===================================================================
--- phonelux_scrappers/phones_model_setter.py	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
+++ phonelux_scrappers/phones_model_setter.py	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
@@ -0,0 +1,26 @@
+import json
+import unicodedata
+import requests
+import classes.phone
+import sys
+
+
+file_path = 'outputfile.txt'
+sys.stdout = open(file_path, "w")
+
+phones = json.loads(requests.get('http://localhost:8080/phones').text)
+offers = json.loads(requests.get('http://localhost:8080/alloffers').text)
+phones.sort(key=lambda p: p['model'], reverse=True)
+offers.sort(key=lambda o: o['offer_name'])
+
+for offer in offers:
+    flag = False
+    for phone in phones:
+        if phone['model'].lower() in offer['offer_name'].lower():
+            flag = True
+            # Add phone model to offer
+            requests.put('http://localhost:8080/phoneoffer/'+str(offer['id'])+'/addphonemodel/'+str(phone['id']))
+            break
+    if not flag:
+        # requests.delete('http://localhost:8080/phoneoffer/deleteoffer/' + str(offer['id']))
+        print('delete offer id '+str(offer['id']))
Index: phonelux_scrappers/scrappers/a1_scrapper.py
===================================================================
--- phonelux_scrappers/scrappers/a1_scrapper.py	(revision e5b84dc652434cab61718f38889fc36867569866)
+++ phonelux_scrappers/scrappers/a1_scrapper.py	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
@@ -1,28 +1,37 @@
 import unicodedata
 from datetime import datetime
-
+import json
 import psycopg2
 import config_read
 from bs4 import BeautifulSoup
 import requests
+import sys
+import unicodedata
 
-import sys
+from classes.phoneoffer import PhoneOffer
 
 file_path = 'outputfile.txt'
 sys.stdout = open(file_path, "w")
 
-# Call to read the configuration file and connect to database
-cinfo = config_read.get_databaseconfig("../postgresdb.config")
-db_connection = psycopg2.connect(
-    database=cinfo[0],
-    host=cinfo[1],
-    user=cinfo[2],
-    password=cinfo[3]
-)
-cur = db_connection.cursor()
-
 offer_shop = "A1"  # offer shop
 last_updated = datetime.now().date()
 is_validated = False
+
+# A1 phone offers that are already in database
+
+offers = json.loads(unicodedata.normalize('NFKD', requests.get('http://localhost:8080/phoneoffer/shop/a1').text))
+
+database_offers = []
+
+for offer in offers:
+    phoneOffer = PhoneOffer(offer['id'], offer['offer_shop'], offer['offer_name'], offer['price'],
+                            offer['ram_memory'],
+                            offer['rom_memory'], offer['color'], offer['front_camera'], offer['back_camera'],
+                            offer['chipset'], offer['battery'], offer['operating_system'], offer['cpu'],
+                            offer['image_url'],
+                            offer['offer_url'], offer['last_updated'], offer['is_validated'],
+                            offer['offer_description'],
+                            offer['offer_shop_code'])
+    database_offers.append(phoneOffer)
 
 a1_url = 'https://www.a1.mk/webshop/mk/phones'
@@ -34,7 +43,9 @@
     .find_all('div', {'class', 'dvc-idtfr by4'})
 
+new_offers = []
+
 for phone in phones:
     brand = phone.get('data-brand').strip()
-    offer_name = brand+" "+phone.get('data-model').strip()
+    offer_name = brand + " " + phone.get('data-model').strip()
 
     # if brand not in offer_name:
@@ -77,4 +88,6 @@
     battery = None
     front_camera = None
+    chipset = None
+    offer_description = None
 
     for row in table_rows:
@@ -100,14 +113,49 @@
             front_camera = row.get_text().replace('Предна камера', '').strip()
 
-    insert_script = 'INSERT INTO phone_offers (offer_shop, brand, offer_name, price, image_url, offer_url,' \
-                    'ram_memory, rom_memory, battery, back_camera, front_camera, color, cpu, ' \
-                    'operating_system, offer_shop_code, last_updated, is_validated)' \
-                    ' VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s);'
-    insert_value = (offer_shop, brand, offer_name, price, image_url, offer_url, ram_memory, rom_memory,
-                    battery, back_camera, front_camera, color, cpu, operating_system, offer_shop_code,
-                    last_updated, is_validated)
-    cur.execute(insert_script, insert_value)
-    db_connection.commit()
+    new_offers.append(PhoneOffer(offer_shop, offer_name, price, ram_memory, rom_memory,
+                                 color, front_camera, back_camera, chipset, battery, operating_system, cpu, image_url,
+                                 offer_url, last_updated, is_validated, offer_description, offer_shop_code))
 
-cur.close()
-db_connection.close()
+for new_offer in new_offers:
+    flag = False
+    flag_price = False
+    offer_id = None
+
+    for old_offer in database_offers:
+
+        if new_offer.offer_shop_code == old_offer.offer_shop_code:
+            flag = True
+            if new_offer.price != old_offer.price:
+                flag_price = True
+                offer_id = old_offer.offer_id
+
+    if flag:
+        # print('ALREADY IN DATABASE')
+        # print(new_offer)
+        # if it's already in database, check PRICE and if it's changed, change it !!!!!!
+        if flag_price:
+            print('PRICE CHANGED!')  # CHANGE PRICE
+            print('offer id: ' + str(offer_id))
+            headers = {'Content-type': 'application/json'}
+            requests.put('http://localhost:8080/phoneoffer/' + str(offer_id) + '/changeprice/' + str(new_offer.price),
+                         headers=headers)
+    else:
+        print('ADDED')  # ADD OFFER
+        print(new_offer)
+        headers = {'Content-type': 'application/json'}
+        requests.post('http://localhost:8080/phoneoffer/addoffer', headers=headers, data=json.dumps(new_offer.__dict__,
+                                                                                                    default=str))
+
+print('------------------------------------')
+
+for old_offer in database_offers:
+    flag = False
+    for new_offer in new_offers:
+        if old_offer.offer_shop_code == new_offer.offer_shop_code:
+            flag = True
+
+    if not flag:
+        print('OFFER DELETED')
+        print(old_offer)
+        # DELETE OFFER
+        requests.delete('http://localhost:8080/phoneoffer/deleteoffer/' + str(old_offer.offer_id))
Index: phonelux_scrappers/scrappers/akcija_scrapper.py
===================================================================
--- phonelux_scrappers/scrappers/akcija_scrapper.py	(revision e5b84dc652434cab61718f38889fc36867569866)
+++ phonelux_scrappers/scrappers/akcija_scrapper.py	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
@@ -1,2 +1,3 @@
+import json
 from datetime import datetime
 
@@ -7,21 +8,32 @@
 import unicodedata
 import sys
+from classes.phoneoffer import PhoneOffer
 
-# file_path = '../outputfile.txt'
-# sys.stdout = open(file_path, "w")
+file_path = 'outputfile.txt'
+sys.stdout = open(file_path, "w")
 
-# Call to read the configuration file and connect to database
-cinfo = config_read.get_databaseconfig("../postgresdb.config")
-db_connection = psycopg2.connect(
-    database=cinfo[0],
-    host=cinfo[1],
-    user=cinfo[2],
-    password=cinfo[3]
-)
-cur = db_connection.cursor()
 
 offer_shop = "Akcija"  # offer shop
 last_updated = datetime.now().date()
 is_validated = False
+
+# Akcija phone offers that are already in database
+
+offers = json.loads(unicodedata.normalize('NFKD', requests.get('http://localhost:8080/phoneoffer/shop/akcija').text))
+
+database_offers = []
+
+for offer in offers:
+    phoneOffer = PhoneOffer(offer['id'], offer['offer_shop'], offer['offer_name'], offer['price'],
+                            offer['ram_memory'],
+                            offer['rom_memory'], offer['color'], offer['front_camera'], offer['back_camera'],
+                            offer['chipset'], offer['battery'], offer['operating_system'], offer['cpu'],
+                            offer['image_url'],
+                            offer['offer_url'], offer['last_updated'], offer['is_validated'],
+                            offer['offer_description'],
+                            offer['offer_shop_code'])
+    database_offers.append(phoneOffer)
+
+new_offers = []
 
 i = 0
@@ -51,4 +63,15 @@
         soup2 = BeautifulSoup(response2.text, 'html.parser')
 
+        back_camera = None
+        operating_system = None
+        chipset = None
+        battery = None
+        ram_memory = None
+        rom_memory = None
+        cpu = None
+        front_camera = None
+        color = None
+        offer_shop_code = None
+
         specifications = soup2.find('main', {'id': 'content'}) \
             .find_all('div', {'class', 'container'})[1].find('div', {'class', 'mb-14'}) \
@@ -62,13 +85,51 @@
                                                        str(specification.get_text(separator='\n').strip())) + "\n"
 
-        insert_script = 'INSERT INTO phone_offers (offer_shop, brand,' \
-                        ' offer_name, price, image_url, offer_url, last_updated, is_validated, offer_description) ' \
-                        'VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s);'
-        insert_value = (offer_shop, brand, offer_name, price, image_url, offer_url,
-                        last_updated, is_validated, offer_description)
-        cur.execute(insert_script, insert_value)
-        db_connection.commit()
+        new_offers.append(PhoneOffer(offer_shop, offer_name, price, ram_memory, rom_memory,
+                                     color, front_camera, back_camera, chipset, battery, operating_system, cpu,
+                                     image_url,
+                                     offer_url, last_updated, is_validated, offer_description, offer_shop_code))
     i += 20
 
-cur.close()
-db_connection.close()
+for new_offer in new_offers:
+    flag = False
+    flag_price = False
+    offer_id = None
+
+    for old_offer in database_offers:
+
+        if new_offer.offer_name == old_offer.offer_name:
+            flag = True
+            if new_offer.price != old_offer.price:
+                flag_price = True
+                offer_id = old_offer.offer_id
+
+    if flag:
+        # print('ALREADY IN DATABASE')
+        # print(new_offer)
+        # if it's already in database, check PRICE and if it's changed, change it !!!!!!
+        if flag_price:
+            print('PRICE CHANGED!')  # CHANGE PRICE
+            print('offer id: ' + str(offer_id))
+            headers = {'Content-type': 'application/json'}
+            requests.put('http://localhost:8080/phoneoffer/' + str(offer_id) + '/changeprice/' + str(new_offer.price),
+                         headers=headers)
+    else:
+        print('ADDED')  # ADD OFFER
+        print(new_offer)
+        headers = {'Content-type': 'application/json'}
+        requests.post('http://localhost:8080/phoneoffer/addoffer',
+                      headers=headers, data=json.dumps(new_offer.__dict__, default=str))
+
+print('------------------------------------')
+
+for old_offer in database_offers:
+    flag = False
+    for new_offer in new_offers:
+        if old_offer.offer_name == new_offer.offer_name:
+            flag = True
+
+    if not flag:
+        print('OFFER DELETED')
+        print(old_offer)
+        # DELETE OFFER
+        requests.delete('http://localhost:8080/phoneoffer/deleteoffer/' + str(old_offer.offer_id))
Index: phonelux_scrappers/scrappers/handy_scrapper.py
===================================================================
--- phonelux_scrappers/scrappers/handy_scrapper.py	(revision e5b84dc652434cab61718f38889fc36867569866)
+++ phonelux_scrappers/scrappers/handy_scrapper.py	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
@@ -1,2 +1,3 @@
+import json
 import unicodedata
 from datetime import datetime
@@ -9,20 +10,31 @@
 import sys
 
+from classes.phoneoffer import PhoneOffer
+
 file_path = 'outputfile.txt'
 sys.stdout = open(file_path, "w")
 
-# Call to read the configuration file and connect to database
-cinfo = config_read.get_databaseconfig("../postgresdb.config")
-db_connection = psycopg2.connect(
-    database=cinfo[0],
-    host=cinfo[1],
-    user=cinfo[2],
-    password=cinfo[3]
-)
-cur = db_connection.cursor()
 
 offer_shop = "Handy"  # offer shop
 last_updated = datetime.now().date()
 is_validated = False
+
+# Handy phone offers that are already in database
+offers = json.loads(unicodedata.normalize('NFKD', requests.get('http://localhost:8080/phoneoffer/shop/handy').text))
+
+database_offers = []
+
+for offer in offers:
+    phoneOffer = PhoneOffer(offer['id'], offer['offer_shop'], offer['offer_name'], offer['price'],
+                            offer['ram_memory'],
+                            offer['rom_memory'], offer['color'], offer['front_camera'], offer['back_camera'],
+                            offer['chipset'], offer['battery'], offer['operating_system'], offer['cpu'],
+                            offer['image_url'],
+                            offer['offer_url'], offer['last_updated'], offer['is_validated'],
+                            offer['offer_description'],
+                            offer['offer_shop_code'])
+    database_offers.append(phoneOffer)
+
+new_offers = []
 
 handy_url = 'https://www.handy.mk/telefoni?page=6'
@@ -44,9 +56,19 @@
     soup2 = BeautifulSoup(response2.text, 'html.parser')
 
+    back_camera = None
+    operating_system = None
+    chipset = None
+    battery = None
+    ram_memory = None
+    rom_memory = None
+    cpu = None
+    front_camera = None
+    offer_shop_code = None
+    color = None
+    image_url = None
+
     color_section = soup2.find('section', {'data-hook': 'product-colors-title-section'})
-
-    color = None
     if color_section is not None:
-        temp_colors = color_section.find('fieldset', {'class': 'ColorPickerbase3563640754__container'})\
+        temp_colors = color_section.find('fieldset', {'class': 'ColorPickerbase3548966286__container'})\
             .find_all('input', {'type': 'radio'})
         colors_list = []
@@ -67,12 +89,52 @@
     offer_description = '\n'.join(specifications)
 
-    insert_script = 'INSERT INTO phone_offers (offer_shop, brand, offer_name , price, offer_url, ' \
-                    'offer_description, last_updated, is_validated)' \
-                            ' VALUES (%s, %s, %s, %s, %s, %s, %s, %s);'
-    insert_value = (offer_shop, brand, offer_name, price, offer_url, offer_description,
-                            last_updated, is_validated)
-    cur.execute(insert_script, insert_value)
-    db_connection.commit()
+    new_offers.append(PhoneOffer(offer_shop, offer_name, price, ram_memory, rom_memory,
+                                 color, front_camera, back_camera, chipset, battery, operating_system, cpu,
+                                 image_url,
+                                 offer_url, last_updated, is_validated, offer_description, offer_shop_code))
 
-cur.close()
-db_connection.close()
+for new_offer in new_offers:
+    flag = False
+    flag_price = False
+    offer_id = None
+
+    for old_offer in database_offers:
+
+        if new_offer.offer_name == old_offer.offer_name:
+            flag = True
+            if new_offer.price != old_offer.price:
+                flag_price = True
+                offer_id = old_offer.offer_id
+
+    if flag:
+        # print('ALREADY IN DATABASE')
+        # print(new_offer)
+        # if it's already in database, check PRICE and if it's changed, change it !!!!!!
+        if flag_price:
+            print('PRICE CHANGED!')  # CHANGE PRICE
+            print('offer id: ' + str(offer_id))
+            headers = {'Content-type': 'application/json'}
+            requests.put('http://localhost:8080/phoneoffer/' + str(offer_id) + '/changeprice/' + str(new_offer.price),
+                         headers=headers)
+    else:
+        print('ADDED')  # ADD OFFER
+        print(new_offer)
+        headers = {'Content-type': 'application/json'}
+        requests.post('http://localhost:8080/phoneoffer/addoffer',
+                      headers=headers, data=json.dumps(new_offer.__dict__, default=str))
+
+print('------------------------------------')
+
+for old_offer in database_offers:
+    flag = False
+    for new_offer in new_offers:
+        if old_offer.offer_name == new_offer.offer_name:
+            flag = True
+
+    if not flag:
+        print('OFFER DELETED')
+        print(old_offer)
+        # DELETE OFFER
+        requests.delete('http://localhost:8080/phoneoffer/deleteoffer/' + str(old_offer.offer_id))
+
+
Index: phonelux_scrappers/scrappers/ledikom_scrapper.py
===================================================================
--- phonelux_scrappers/scrappers/ledikom_scrapper.py	(revision e5b84dc652434cab61718f38889fc36867569866)
+++ phonelux_scrappers/scrappers/ledikom_scrapper.py	(revision fd5b100c1a316b5c886ba2b92de69042a34fde9a)
@@ -1,5 +1,5 @@
+import json
 import unicodedata
 from datetime import datetime
-
 import psycopg2
 import config_read
@@ -10,20 +10,31 @@
 import sys
 
+from classes.phoneoffer import PhoneOffer
+
 file_path = 'outputfile.txt'
 sys.stdout = open(file_path, "w")
-
-# Call to read the configuration file and connect to database
-cinfo = config_read.get_databaseconfig("../postgresdb.config")
-db_connection = psycopg2.connect(
-    database=cinfo[0],
-    host=cinfo[1],
-    user=cinfo[2],
-    password=cinfo[3]
-)
-cur = db_connection.cursor()
 
 offer_shop = "Ledikom"  # offer shop
 last_updated = datetime.now().date()
 is_validated = False
+
+# Ledikom phone offers that are already in database
+
+offers = json.loads(unicodedata.normalize('NFKD', requests.get('http://localhost:8080/phoneoffer/shop/ledikom').text))
+
+database_offers = []
+
+for offer in offers:
+    phoneOffer = PhoneOffer(offer['id'], offer['offer_shop'], offer['offer_name'], offer['price'],
+                            offer['ram_memory'],
+                            offer['rom_memory'], offer['color'], offer['front_camera'], offer['back_camera'],
+                            offer['chipset'], offer['battery'], offer['operating_system'], offer['cpu'],
+                            offer['image_url'],
+                            offer['offer_url'], offer['last_updated'], offer['is_validated'],
+                            offer['offer_description'],
+                            offer['offer_shop_code'])
+    database_offers.append(phoneOffer)
+
+new_offers = []
 
 ledikom_phone_urls = [
@@ -65,5 +76,7 @@
         offer_name = ' '.join(temp_offer_name.split())
         brand = offer_name.split(' ')[0]
-        price = int(phone.find('span', {'class': 'price'}).get_text().replace('ден.', '').replace('.', '').strip())
+        price = int(phone.find('span', {'class': 'price'}).get_text().replace('ден.', '')
+                    .replace('ден', '')
+                    .replace('.', '').strip())
 
         driver1 = webdriver.Safari(executable_path='/usr/bin/safaridriver')
@@ -82,4 +95,12 @@
         rom_memory = None
         ram_memory = None
+        back_camera = None
+        operating_system = None
+        chipset = None
+        battery = None
+        cpu = None
+        front_camera = None
+        offer_shop_code = None
+        offer_description = None
 
         if len(specifications) != 0:
@@ -114,12 +135,50 @@
             color = temp
 
-        insert_script = 'INSERT INTO phone_offers (offer_shop, brand, offer_name, price, image_url, offer_url,' \
-                        'ram_memory, rom_memory, color, last_updated, is_validated)' \
-                        ' VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s);'
-        insert_value = (offer_shop, brand, offer_name, price, image_url, offer_url, ram_memory,
-                        rom_memory, color, last_updated, is_validated)
-        cur.execute(insert_script, insert_value)
-        db_connection.commit()
+        new_offers.append(PhoneOffer(offer_shop, offer_name, price, ram_memory, rom_memory,
+                                     color, front_camera, back_camera, chipset, battery, operating_system, cpu,
+                                     image_url,
+                                     offer_url, last_updated, is_validated, offer_description, offer_shop_code))
 
-cur.close()
-db_connection.close()
+for new_offer in new_offers:
+    flag = False
+    flag_price = False
+    offer_id = None
+
+    for old_offer in database_offers:
+
+        if new_offer.offer_name == old_offer.offer_name:
+            flag = True
+            if new_offer.price != old_offer.price:
+                flag_price = True
+                offer_id = old_offer.offer_id
+
+    if flag:
+        # print('ALREADY IN DATABASE')
+        # print(new_offer)
+        # if it's already in database, check PRICE and if it's changed, change it !!!!!!
+        if flag_price:
+            print('PRICE CHANGED!')  # CHANGE PRICE
+            print('offer id: ' + str(offer_id))
+            headers = {'Content-type': 'application/json'}
+            requests.put('http://localhost:8080/phoneoffer/' + str(offer_id) + '/changeprice/' + str(new_offer.price),
+                         headers=headers)
+    else:
+        print('ADDED')  # ADD OFFER
+        print(new_offer)
+        headers = {'Content-type': 'application/json'}
+        requests.post('http://localhost:8080/phoneoffer/addoffer',
+                      headers=headers, data=json.dumps(new_offer.__dict__, default=str))
+
+print('------------------------------------')
+
+for old_offer in database_offers:
+    flag = False
+    for new_offer in new_offers:
+        if old_offer.offer_name == new_offer.offer_name:
+            flag = True
+
+    if not flag:
+        print('OFFER DELETED')
+        print(old_offer)
+        # DELETE OFFER
+        requests.delete('http://localhost:8080/phoneoffer/deleteoffer/' + str(old_offer.offer_id))
